Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Interface JifProcedureInstance

All Superinterfaces:
  java.lang.Cloneable, polyglot.types.CodeInstance, polyglot.util.Copy, polyglot.types.Declaration, polyglot.types.MemberInstance, polyglot.types.ProcedureInstance, java.io.Serializable, polyglot.types.TypeObject

All Known Subinterfaces:
  JifConstructorInstance, JifMethodInstance

All Known Implementing Classes:
  JifConstructorInstance_c, JifMethodInstance_c

    public interface JifProcedureInstance

extends polyglot.types.ProcedureInstance

Jif procedure instance. A wrapper of all the type information related to a procedure.

Method Summary
`java.util.List` | `constraints()`
`java.lang.String` | `debugString()`
`boolean` | `isDefaultReturnLabel()`
`boolean` | `isDefaultStartLabel()`
`Label` | `returnLabel()`
`void` | `setConstraints(java.util.List constraints)`
`void` | `setReturnLabel(Label returnLabel, boolean isDefault)`
`void` | `setStartLabel(Label startLabel, boolean isDefault)`
`Label` | `startLabel()`
`void` | `subst(LabelSubstitution subst)`
`void` | `subst(VarMap bounds)`

Methods inherited from interface polyglot.types.ProcedureInstance
`callValid, callValidImpl, designator, formalTypes, hasFormals, hasFormalsImpl, moreSpecific, moreSpecificImpl, setFormalTypes, setThrowTypes, signature, throwsSubset, throwsSubsetImpl, throwTypes`

Methods inherited from interface polyglot.types.MemberInstance
`container, flags, setContainer, setFlags`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, isCanonical, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Methods inherited from interface polyglot.types.Declaration
`declaration, setDeclaration`

Method Detail

### startLabel

    Label startLabel()

### returnLabel

    Label returnLabel()

### constraints

    java.util.List constraints()

### setStartLabel

    void setStartLabel(Label startLabel,
                       boolean isDefault)

### setReturnLabel

    void setReturnLabel(Label returnLabel,
                        boolean isDefault)

### setConstraints

    void setConstraints(java.util.List constraints)

### isDefaultStartLabel

    boolean isDefaultStartLabel()

### isDefaultReturnLabel

    boolean isDefaultReturnLabel()

### debugString

    java.lang.String debugString()

### subst

    void subst(VarMap bounds)

### subst

    void subst(LabelSubstitution subst)
               throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD